## entangle-control-panel

entangle-control-panel

## Functions

EntangleControlPanel * | entangle_control_panel_new ()
EntangleCameraPreferences * | entangle_control_panel_get_camera_preferences ()
gboolean | entangle_control_panel_get_has_controls ()

## Properties

EntangleCamera * | camera | Read
EntangleCameraPreferences * | camera-prefs | Read / Write / Construct Only
gboolean | has-controls | Read

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_PANEL
| EntangleControlPanel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkExpander
                            ╰── EntangleControlPanel

## Implemented Interfaces

EntangleControlPanel implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### entangle_control_panel_new ()

    EntangleControlPanel *
    entangle_control_panel_new (EntangleCameraPreferences *prefs);

### entangle_control_panel_get_camera_preferences ()

    EntangleCameraPreferences *
    entangle_control_panel_get_camera_preferences
                                   (EntangleControlPanel *panel);

Get the camera preferences whose controls are displayed

#### Parameters

panel | the control widget |

#### Returns

the camera preferences or NULL.

[transfer none]

### entangle_control_panel_get_has_controls ()

    gboolean
    entangle_control_panel_get_has_controls
                                   (EntangleControlPanel *panel);

## Types and Values

### ENTANGLE_TYPE_CONTROL_PANEL

    #define ENTANGLE_TYPE_CONTROL_PANEL (entangle_control_panel_get_type())

### EntangleControlPanel

    typedef struct _EntangleControlPanel EntangleControlPanel;

## Property Details

### The `“camera”` property

      “camera”                   EntangleCamera *

Camera to manage.

Owner: EntangleControlPanel

Flags: Read

### The `“camera-prefs”` property

      “camera-prefs”             EntangleCameraPreferences *

Camera preferences to manage.

Owner: EntangleControlPanel

Flags: Read / Write / Construct Only

### The `“has-controls”` property

      “has-controls”             gboolean

Has Controls.

Owner: EntangleControlPanel

Flags: Read

Default value: FALSE